\mode<presentation>

% Requirement
\RequirePackage{tikz}
\RequirePackage{ragged2e}
\RequirePackage{hyperref}
\RequirePackage{xspace}
\RequirePackage{graphicx}
\RequirePackage{calc}

%% réinitialiser les notes de bas de page à chaque page %%
\RequirePackage{perpage}
\MakePerPage[1]{footnote}
%%

\usepackage{\paththeme/beamerinnertheme}
\usepackage{\paththeme/beamercolortheme}
\usepackage{\paththeme/beameroutertheme}

% Settings
\setbeamertemplate{navigation symbols}{}

% Set text color and size
\makeatletter
\newcommand\HUGE{\@setfontsize\Huge{26}{31}}
\makeatother

\setbeamerfont{title}{size=\HUGE}
\setbeamerfont{frametitle}{size=\huge}
\setbeamercolor*{title}{fg=titleblue}
\setbeamercolor*{frametitle}{fg=frametitleblue}
\setbeamercolor*{normal text}{fg=txtblue}

% Set up margin
\setbeamersize{text margin left=1.2cm,text margin right=0.5cm}

% Set up hyperlink
\hypersetup{
  colorlinks=true,
  linkcolor= txtblue,
  urlcolor=url,
}

\mode<all>
